%% nul_body.m
% Urceni nulovych bodu prutokove krivky

function [polohy_nul_prutok] = nul_body(prutok)

N=length(prutok); % Delka prutoku
k=1; % pomocna promenna
j=0; % pomocna promenna
polohy_nul_prutok=0; % promenna pro ukladani nulovych bodu

while k < N % Cyklus, dokud je pomocna promenna mensi nez delka prutoku
k=k+1;
    if prutok(k)*prutok(k-1) <= 0 % urceni nulovych bodu (nasobek dvou sousednich hodnot je mensi roven nule)
        j=j+1;
        polohy_nul_prutok(j) = k; % urceni polohy nuloveho bodu
        k=k+50; % preskoceni nekolika hodnot (zakmity v signalu)
    end
end